libstdc++: std::filesystem::recursive_directory_iterator Class Reference

libstdc++

std::filesystem::recursive_directory_iterator Class Reference
Filesystem

`#include <filesystem>`

## Public Types
typedef ptrdiff_t | difference_type
typedef input_iterator_tag | iterator_category
typedef const directory_entry * | pointer
typedef const directory_entry & | reference
typedef directory_entry | value_type

## Public Member Functions
| recursive_directory_iterator (const path &__p)
| recursive_directory_iterator (const path &__p, directory_options __options)
| recursive_directory_iterator (const path &__p, directory_options __options, error_code &__ec)
| recursive_directory_iterator (const path &__p, error_code &__ec)
| recursive_directory_iterator (const recursive_directory_iterator &)=default
| recursive_directory_iterator (recursive_directory_iterator &&)=default
int | depth () const noexcept
void | disable_recursion_pending () noexcept
recursive_directory_iterator & | increment (error_code &__ec)
const directory_entry & | operator* () const noexcept
recursive_directory_iterator & | operator++ ()
__directory_iterator_proxy | operator++ (int)
const directory_entry * | operator-> () const noexcept
recursive_directory_iterator & | operator= (const recursive_directory_iterator &__rhs) noexcept
recursive_directory_iterator & | operator= (recursive_directory_iterator &&__rhs) noexcept
bool | operator== (default_sentinel_t) const noexcept
directory_options | options () const noexcept
void | pop ()
void | pop (error_code &)
bool | recursion_pending () const noexcept

## Friends
uintmax_t | filesystem::remove_all (const path &)
uintmax_t | filesystem::remove_all (const path &, error_code &)
bool | operator== (const recursive_directory_iterator &__lhs, const recursive_directory_iterator &__rhs) noexcept

## Detailed Description

Iterator type for recursively traversing a directory hierarchy.

Since
  C++17

Definition at line 499 of file bits/fs_dir.h.

## Member Typedef Documentation

## ◆ difference_type

typedef ptrdiff_t std::filesystem::recursive_directory_iterator::difference_type

Definition at line 503 of file bits/fs_dir.h.

## ◆ iterator_category

typedef input_iterator_tag std::filesystem::recursive_directory_iterator::iterator_category

Definition at line 506 of file bits/fs_dir.h.

## ◆ pointer

typedef const directory_entry* std::filesystem::recursive_directory_iterator::pointer

Definition at line 504 of file bits/fs_dir.h.

## ◆ reference

typedef const directory_entry& std::filesystem::recursive_directory_iterator::reference

Definition at line 505 of file bits/fs_dir.h.

## ◆ value_type

typedef directory_entry std::filesystem::recursive_directory_iterator::value_type

Definition at line 502 of file bits/fs_dir.h.

## Constructor & Destructor Documentation

## ◆ recursive_directory_iterator() [1/4]

std::filesystem::recursive_directory_iterator::recursive_directory_iterator | ( | const path & | __p | ) |
| inlineexplicit

Definition at line 511 of file bits/fs_dir.h.

## ◆ recursive_directory_iterator() [2/4]

std::filesystem::recursive_directory_iterator::recursive_directory_iterator | ( | const path & | __p,
|  | directory_options | __options )
| inline

Definition at line 514 of file bits/fs_dir.h.

## ◆ recursive_directory_iterator() [3/4]

std::filesystem::recursive_directory_iterator::recursive_directory_iterator | ( | const path & | __p,
|  | directory_options | __options,
|  | error_code & | __ec )
| inline

Definition at line 517 of file bits/fs_dir.h.

## ◆ recursive_directory_iterator() [4/4]

std::filesystem::recursive_directory_iterator::recursive_directory_iterator | ( | const path & | __p,
|  | error_code & | __ec )
| inline

Definition at line 521 of file bits/fs_dir.h.

## Member Function Documentation

## ◆ operator++()

__directory_iterator_proxy std::filesystem::recursive_directory_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 548 of file bits/fs_dir.h.

## ◆ operator->()

const directory_entry * std::filesystem::recursive_directory_iterator::operator-> | ( |  | ) | const
| inlinenoexcept

Definition at line 537 of file bits/fs_dir.h.

## ◆ operator==()

bool std::filesystem::recursive_directory_iterator::operator== | ( | default_sentinel_t |  | ) | const
| inlinenoexcept

Definition at line 571 of file bits/fs_dir.h.

## Friends And Related Symbol Documentation

## ◆ operator==

bool operator== | ( | const recursive_directory_iterator & | __lhs,
|  | const recursive_directory_iterator & | __rhs )
| friend

Definition at line 561 of file bits/fs_dir.h.

The documentation for this class was generated from the following file:

- bits/fs_dir.h